#ifndef SURFACE_H
#define SURFACE_H

#include <vulkan/vulkan.h>

#include <vector>

typedef struct _Surface
{
    VkSurfaceKHR surface; // Поверхность окна
    VkSurfaceCapabilitiesKHR capabilities; // общая информация
    std::vector<VkSurfaceFormatKHR> formats; // формат поверхности
    std::vector<VkPresentModeKHR> presentModes; // режим показа
} Surface;

#endif // SURFACE_H